package com.xhkjedu.sexam.controller.paper;

import com.xhkjedu.sexam.model.exam.ESubject;
import com.xhkjedu.sexam.model.paper.EPaper;
import com.xhkjedu.sexam.service.paper.EPaperService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 试卷信息
 * @Author WN
 * Date 2022/7/18 10:31
 **/
@RestController
@RequestMapping("/ep")
public class EPaperController {
    @Resource
    private EPaperService ePaperService;

    //考试各科目试卷设置（管理员）
    @PostMapping("/list")
    public ResultVo examPaperList(@RequestBody EPaper paper){
        N_Utils.validation(new Object[]{paper.getExamid(),"考试id",1});
        List<Map> list = ePaperService.listExamPapers(paper.getExamid());
        return new ResultVo(0,"成功获取考试试卷信息",list);
    }

    //教师出卷列表
    @PostMapping("/listt")
    public ResultVo examTeacherPaperList(@RequestBody ESubject subject){
        N_Utils.validation(new Object[]{subject.getTeacherid(),"教师id",1});
        List<Map> list = ePaperService.listExamPapersByTeacherid(subject.getTeacherid());
        return new ResultVo(0,"成功获取教师出卷信息",list);
    }
}
